This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 10122 - Sawmill freezes with the keyboard grabbed if you set the clock backwards.
Sawmill freezes with the keyboard grabbed if you set the clock backwards.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sawmill (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-11 09:46 EST by Hans de Goede
Modified: 2013-04-02 00:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-27 15:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-03-11 09:46:41 EST
Sawmill freezes if you change the focus after setting the system time
backwards.

To reproduce:
-set system time forwards one hour
-wait a minute so that sawmill gets this new time
-set system time back to the correct time
-change focus (alt-tab , click another window whatever)
-poof sawmill grabs the keyboard, and after that freezes
-hint telnetting in and killing sawmill helps
Comment 1 Hans de Goede 2000-03-11 09:48:59 EST
p.s.

This might be related to bug 8994, which describes the same problem for
the panel clocks (they froze too, but this is fixed now)
Comment 2 Hans de Goede 2000-07-27 14:51:58 EDT
This seems fixed in 6.9b5 close ?!

Note You need to log in before you can comment on or make changes to this bug.